# V3ExtensionsWebhooksWebhook

## Example Usage

```typescript
import { V3ExtensionsWebhooksWebhook } from "@solarwinds/squadcast-sdk-typescript/models";

let value: V3ExtensionsWebhooksWebhook = {
  name: "<value>",
  triggers: [
    {
      eventClass: "<value>",
      eventType: "<value>",
    },
  ],
  urls: [
    {},
  ],
  triggerType: "<value>",
};
```

## Fields

| Field                       | Type                                                                                                          | Required             | Description                                              |
| --------------------------- | ------------------------------------------------------------------------------------------------------------- | -------------------- | -------------------------------------------------------- |
| `name`                      | *string*                                                                                                      | :heavy\_check\_mark: | Name of the webhook                                      |
| `description`               | *string*                                                                                                      | :heavy\_minus\_sign: | Description of the webhook                               |
| `triggers`                  | [models.V3ExtensionsWebhooksWebhookTrigger](/typescript/docs/models/v3extensionswebhookswebhooktrigger.md)\[] | :heavy\_check\_mark: | A list of triggers for this webhook                      |
| `urls`                      | [models.V3ExtensionsWebhooksWebhookUrl](/typescript/docs/models/v3extensionswebhookswebhookurl.md)\[]         | :heavy\_check\_mark: | A list of URLs to which the webhook payload will be sent |
| `header`                    | [models.V3ExtensionsWebhooksWebhookHeader](/typescript/docs/models/v3extensionswebhookswebhookheader.md)      | :heavy\_minus\_sign: | Headers to be sent with the webhook                      |
| `filters`                   | [models.V3ExtensionsWebhooksWebhookFilter](/typescript/docs/models/v3extensionswebhookswebhookfilter.md)      | :heavy\_minus\_sign: | Filters to apply to the webhook                          |
| `maxRetry`                  | *number*                                                                                                      | :heavy\_minus\_sign: | Maximum number of retries for the webhook                |
| `teams`                     | *string*\[]                                                                                                   | :heavy\_minus\_sign: | List of team IDs to which this webhook is applicable     |
| `isAllTeamsConfigured`      | *boolean*                                                                                                     | :heavy\_minus\_sign: | Set to true if the webhook is configured for all teams   |
| `customPayloadTemplateSlug` | *string*                                                                                                      | :heavy\_minus\_sign: | Slug of the custom payload template                      |
| `language`                  | *string*                                                                                                      | :heavy\_minus\_sign: | Language for the webhook payload                         |
| `mailIds`                   | *string*\[]                                                                                                   | :heavy\_minus\_sign: | List of email IDs for notification                       |
| `triggerType`               | *string*                                                                                                      | :heavy\_check\_mark: | Type of trigger                                          |
| `customPayload`             | *string*                                                                                                      | :heavy\_minus\_sign: | Custom payload for the webhook                           |
| `payloadType`               | *string*                                                                                                      | :heavy\_minus\_sign: | Type of payload                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/models/v3extensionswebhookswebhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
